Name: gossip
Version: 0.31
Release: alt2

%def_enable dbus
%def_enable libnotify
%def_enable galago

Summary: Jabber client for GNOME
Group: Networking/Instant messaging
License: GPL
URL: http://developer.imendio.com/projects/gossip/

Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

%define loudmouth_version 1.4.1
%define libxml2_version 2.6.16
%define glib_version 2.12.0
%define gtk_version 2.10.0
%define gconf_version 1.2.0
%define panel_version 2.10.0
%define dbus_version 0.61
%define galago_version 0.5.0
%define libnotify_version 0.4.1
%define libglade_version 2.0.0
%define libgnome_version 2.0.0
%define gnome_vfs_version 2.0.0

Requires: scrollkeeper
Requires: libloudmouth >= %loudmouth_version
Requires: libxml2 >= %libxml2_version
Requires: glib2 >= %glib_version
Requires: libgtk+2 >= %gtk_version
Requires: libGConf2 >= %gconf_version
Requires: libglade >= %libglade_version
Requires: libgnome >= %libgnome_version
Requires: gnome-vfs >= %gnome_vfs_version

Source0: %name-%version.tar.bz2

Patch0: gossip-0.29-alt-desktop-file.patch

# For macros
BuildPreReq: GConf

# from configure.in
BuildPreReq: desktop-file-utils >= 0.2.90
BuildPreReq: libloudmouth-devel >= %loudmouth_version
BuildPreReq: libxml2-devel >= %libxml2_version
BuildPreReq: glib2-devel >= %glib_version
BuildPreReq: libgtk+2-devel >= %gtk_version
BuildPreReq: libGConf-devel >= %gconf_version
BuildPreReq: libgnome-panel-devel >= %panel_version
BuildPreReq: libglade-devel >= %libglade_version
BuildPreReq: libgnome-devel >= %libgnome_version
BuildPreReq: gnome-vfs-devel >= %gnome_vfs_version
BuildRequires: libXScrnSaver-devel libXext-devel

%if_enabled dbus
Requires: libdbus >= %dbus_version
BuildPreReq: libdbus-devel >= %dbus_version
# configure script is broken in this place :)
#Requires: libdbus-glib >= %dbus_version
#BuildRequires: libdbus-glib-devel >= %dbus_version
%endif

%if_enabled libnotify
BuildPreReq: libnotify-devel >= %libnotify_version
Requires: libnotify >= %libnotify_version
%endif

%if_enabled galago
BuildPreReq: libgalago-devel >= %galago_version
Requires: libgalago >= %galago_version
%endif

# Automatically added by buildreq on Wed Oct 08 2008
BuildRequires: evolution-data-server-devel gcc-c++ gnome-doc-utils imake libXScrnSaver-devel libgalago-devel libgnome-keyring-devel libgnome-panel-devel libloudmouth-devel libnotify-devel xorg-cf-files

%description
Gossip is an instant messaging program for GNOME.
Gossip aims at making Instant Messaging with Jabber as easy as possible,
while giving users of the GNOME Desktop a user friendly way of keeping
in touch with their friends.

%package peekaboo
Summary: Peekaboo applet for Gossip
Group: Networking/Instant messaging
Requires: %name = %version-%release
Requires: libgnome-panel >= %panel_version

%description peekaboo
An applet to quickly show Gossip chat windows and some of the
more popular functions of Instant Messaging.

%prep
%setup -q
%patch0 -p1
rm -f COPYING
ln -s %_licensedir/GPL-2 COPYING
bzip2 -9k ChangeLog

%build
intltoolize --force
gnome-doc-prepare --copy --force
%autoreconf
%configure \
	%{subst_enable dbus} \
	%{subst_enable libnotify} \
	%{subst_enable galago} \
	--disable-schemas-install \
	--disable-scrollkeeper
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
    %gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/*
%_datadir/%name
%_datadir/applications/*
%_datadir/icons/hicolor/*/apps/*
%_datadir/sounds/*
%config(noreplace) %_sysconfdir/sound/events/gossip.soundlist
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog.bz2 NEWS README
%doc --no-dereference COPYING

%if_enabled dbus
%if_enabled galago
%files peekaboo
%_libexecdir/peekaboo-applet
%_libdir/bonobo/servers/*
%endif
%endif

%changelog
* Thu Dec 11 2008 Yuri N. Sedunov <aris@altlinux.org> 0.31-alt2
- removed obsolete %%post{,in} scripts
- updated buildreqs

* Wed Oct 08 2008 Alexey Shabalin <shaba@altlinux.ru> 0.31-alt1
- 0.31
- rebuild with libgalago-0.5.2 (soname so.3)

* Sat Jul 12 2008 Igor Zubkov <icesik@altlinux.org> 0.29-alt3
- fix desktop file

* Thu May 15 2008 Igor Zubkov <icesik@altlinux.org> 0.29-alt2
- add Packager tag

* Sat May 10 2008 Igor Zubkov <icesik@altlinux.org> 0.29-alt1
- 0.28 -> 0.29

* Wed Apr 16 2008 Igor Zubkov <icesik@altlinux.org> 0.28-alt2
- Update Url
- add %%update_menus to %%post script
- add %%clean_menus to %%postun script

* Mon Mar 17 2008 Igor Zubkov <icesik@altlinux.org> 0.28-alt1
- 0.26 -> 0.28

* Tue Oct 23 2007 Igor Zubkov <icesik@altlinux.org> 0.26-alt2
- fix build with new intltool

* Tue Jun 19 2007 Igor Zubkov <icesik@altlinux.org> 0.26-alt1
- 0.17 -> 0.26
- buildreq and update build requires

* Wed Dec 27 2006 Igor Zubkov <icesik@altlinux.org> 0.17-alt1.1
- rebuild with new dbus

* Tue Sep 26 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.17-alt1
- Updated to 0.17
- Updated versioned dependencies
- Buildreq

* Thu Jul 06 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.12-alt1
- Release 0.12
- Patch0 is obsolete

* Fri Jun 16 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.2-alt1
- Release 0.11.2

* Tue Jun 06 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.1-alt2
- Patch0: port to libgalago 0.5, from GNOME bug 339333
- Rebuilt with libgalago 0.5

* Tue May 30 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.1-alt1
- Release 0.11.1

* Tue May 30 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.11-alt1
- Release 0.11
- Enabled libnotify back
- Compressed ChangeLog

* Sun Mar 19 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.2-alt1
- Release 0.10.2
- Buildreq

* Sun Mar 12 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.1-alt1
- Release 0.10.1
- Disabled libnotify support until the API stabilizes

* Sun Feb 19 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10-alt1
- 0.10
- Buildreq
- Optional Galago support, enabled by default
- Removed Debian-style menu

* Sun Aug 14 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.9-alt1
- New upstream release
- Patch0 is obsolete

* Fri Jul 15 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.8-alt3
- Patch for new dbus from Fedora (thanks Rider) [Patch0]
- Requires dbus 0.34

* Sun Jan 30 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.8-alt2
- Added the common menu entry (bug #5909)

* Tue Jan 04 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.8-alt1
- New upstream release

* Sat Dec 04 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.8-alt3
- Added /usr/share/gossip directory to the file list

* Mon Oct 25 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.8-alt2
- Stricter installtime versioned dependencies copied from the buildtime
  dependencies, which are in turn copied from configure dependencies
  (bug #5393)

* Sat Oct 16 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.8-alt1
- Updated to the new upstream release
- Conditionally build with dbus

* Tue May 25 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.5-alt1
- New upstream release

* Sat Mar 27 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.4-alt1
- New upstream release

* Sat Feb 21 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.2-alt1
- New upstream release
- Run automake

* Fri Jan 23 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.1-alt1
- New upstream release

* Sat Jan 10 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.6-alt1
- New upstream release

* Wed Aug 20 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.5-alt1
- New version

* Mon Jul 21 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.4-alt1
- Ported to ALT Linux
